GEOS: geos::Point Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::Point Class Reference

Basic implementation of Point. More...

`#include <geos.h>`

Inheritance diagram for geos::Point:

List of all members.

## Public Member Functions
| Point (CoordinateSequence *newCoords, const GeometryFactory *newFactory)
| Creates a Point taking ownership of the given CoordinateSequence (must have 1 element).
Geometry * | clone () const
| Make a deep-copy of this Geometry.
CoordinateSequence * | getCoordinates (void) const
| Returns this Geometry vertices. Caller takes ownership of the returned object.
int | getNumPoints () const
| Returns the count of this Geometrys vertices.
bool | isEmpty () const
| Returns whether or not the set of points in this Geometry is empty.
bool | isSimple () const
| Returns false if the Geometry not simple.
int | getDimension () const
| Returns point dimension (0).
int | getBoundaryDimension () const
| Returns Dimension::False (Point has no boundary).
Geometry * | getBoundary () const
| Returns an EMPTY Geometry.
const Coordinate * | getCoordinate () const
| Returns a vertex of this Geometry.
string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
bool | equalsExact (const Geometry *other, double tolerance) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
void | normalize (void)
| Converts this Geometry to normal form (or canonical form).

## Detailed Description

Basic implementation of Point.

## Constructor & Destructor Documentation

geos::Point::Point | ( | CoordinateSequence * | newCoords,
|  | const GeometryFactory * | factory |
| ) |  |  |

Creates a Point taking ownership of the given CoordinateSequence (must have 1 element).

Parameters:

  | newCoords | contains the single coordinate on which to base this `Point` or `null` to create the empty geometry.
  | newFactory | the GeometryFactory used to create this geometry

Creates a Point using the given CoordinateSequence (must have 1 element)

Parameters:

  | newCoords | contains the single coordinate on which to base this `Point` or `null` to create the empty geometry.

If not null the created Point will take ownership of newCoords.

The documentation for this class was generated from the following files:

- geom.h
- Point.cpp